import * as Ast from "@unified-latex/unified-latex-types";
/**
 * Trims whitespace and parbreaks from the start and end
 * of an array.
 */
export declare function trim(ast: Ast.Node[]): Ast.Node[];
/**
 * Trim whitespace and parbreaks from the left of an array.
 */
export declare function trimLeft(ast: Ast.Node[]): Ast.Node[];
/**
 * Trim whitespace and parbreaks from the right of an array.
 */
export declare function trimRight(ast: Ast.Node[]): Ast.Node[];
